import { Progress } from 'vscode';
import { AzureWizardExecuteStep } from 'vscode-azureextensionui';
import { IAppServiceWizardContext } from './IAppServiceWizardContext';
export declare class AppInsightsCreateStep extends AzureWizardExecuteStep<IAppServiceWizardContext> {
    priority: number;
    execute(context: IAppServiceWizardContext, progress: Progress<{
        message?: string;
        increment?: number;
    }>): Promise<void>;
    selectExistingPrompt(context: IAppServiceWizardContext): Promise<void>;
    shouldExecute(context: IAppServiceWizardContext): boolean;
    private getSupportedLocation;
    private getPairedRegions;
    private getLocations;
}
