import { AzureNameStep } from 'vscode-azureextensionui';
import { IAppServiceWizardContext } from './IAppServiceWizardContext';
export declare class SiteNameStep extends AzureNameStep<IAppServiceWizardContext> {
    prompt(context: IAppServiceWizardContext): Promise<void>;
    getRelatedName(context: IAppServiceWizardContext, name: string): Promise<string | undefined>;
    shouldPrompt(context: IAppServiceWizardContext): boolean;
    protected isRelatedNameAvailable(context: IAppServiceWizardContext, name: string): Promise<boolean>;
    private validateSiteName;
}
