import type { WebSiteManagementModels } from '@azure/arm-appservice';
import * as vscode from 'vscode';
import { IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
export declare function reportMessage(message: string, progress: vscode.Progress<{}>, token: vscode.CancellationToken): void;
export declare function setRemoteDebug(context: IActionContext, isRemoteDebuggingToBeEnabled: boolean, confirmMessage: string, noopMessage: string | undefined, site: ParsedSite, siteConfig: WebSiteManagementModels.SiteConfigResource, progress: vscode.Progress<{}>, token: vscode.CancellationToken, learnMoreLink?: string): Promise<void>;
