import * as vscode from 'vscode';
import { IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from './SiteClient';
export interface ILogStream extends vscode.Disposable {
    isConnected: boolean;
    outputChannel: vscode.OutputChannel;
}
export declare function startStreamingLogs(context: IActionContext, site: ParsedSite, verifyLoggingEnabled: () => Promise<void>, logStreamLabel: string, logsPath?: string): Promise<ILogStream>;
export declare function stopStreamingLogs(site: ParsedSite, logsPath?: string): Promise<void>;
