import { AzExtParentTreeItem, AzExtTreeItem, IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
import { FolderTreeItem } from './FolderTreeItem';
/**
 * NOTE: This leverages a command with id `ext.prefix + '.startStreamingLogs'` that should be registered by each extension
 */
export declare class LogFilesTreeItem extends FolderTreeItem {
    static contextValue: string;
    readonly contextValue: string;
    suppressMaskLabel: boolean;
    protected readonly _isRoot: boolean;
    constructor(parent: AzExtParentTreeItem, site: ParsedSite);
    loadMoreChildrenImpl(clearCache: boolean, context: IActionContext): Promise<AzExtTreeItem[]>;
}
