"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.areLocationNamesEqual = void 0;
function areLocationNamesEqual(name1, name2) {
    return normalizeLocationName(name1) === normalizeLocationName(name2);
}
exports.areLocationNamesEqual = areLocationNamesEqual;
function normalizeLocationName(name) {
    return (name || '').toLowerCase().replace(/\s/g, '');
}
//# sourceMappingURL=azureUtils.js.map