import { WorkspaceFolder } from "vscode";
export declare function updateGlobalSetting<T = string>(section: string, value: T, prefix: string): Promise<void>;
export declare function updateWorkspaceSetting<T = string>(section: string, value: T, fsPath: string | WorkspaceFolder, prefix: string): Promise<void>;
export declare function getGlobalSetting<T>(key: string, prefix: string): T | undefined;
export declare function getWorkspaceSetting<T>(key: string, prefix: string, fsPath?: string | WorkspaceFolder): T | undefined;
export declare function getWorkspaceSettingFromAnyFolder(key: string, prefix: string): string | undefined;
