import type { ApplicationInsightsComponentListResult } from "@azure/arm-appinsights/esm/models";
import { AzureWizardPromptStep, IAzureNamingRules, IWizardOptions } from "vscode-azureextensionui";
import { IAppServiceWizardContext } from "./IAppServiceWizardContext";
export declare const appInsightsNamingRules: IAzureNamingRules;
export declare class AppInsightsListStep extends AzureWizardPromptStep<IAppServiceWizardContext> {
    private _suppressCreate;
    constructor(suppressCreate?: boolean);
    static getAppInsightsComponents(context: IAppServiceWizardContext): Promise<ApplicationInsightsComponentListResult>;
    prompt(context: IAppServiceWizardContext): Promise<void>;
    shouldPrompt(context: IAppServiceWizardContext): boolean;
    getSubWizard(context: IAppServiceWizardContext): Promise<IWizardOptions<IAppServiceWizardContext> | undefined>;
    private getQuickPicks;
}
