import { AzureWizardPromptStep } from 'vscode-azureextensionui';
import { IAppServiceWizardContext } from './IAppServiceWizardContext';
export declare class AppInsightsNameStep extends AzureWizardPromptStep<IAppServiceWizardContext> {
    isNameAvailable(context: IAppServiceWizardContext, name: string): Promise<boolean>;
    prompt(context: IAppServiceWizardContext): Promise<void>;
    shouldPrompt(context: IAppServiceWizardContext): boolean;
    private validateApplicationInsightName;
}
