"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebsiteOSDisplayName = exports.AppKind = exports.WebsiteOS = void 0;
var WebsiteOS;
(function (WebsiteOS) {
    WebsiteOS["linux"] = "linux";
    WebsiteOS["windows"] = "windows";
})(WebsiteOS = exports.WebsiteOS || (exports.WebsiteOS = {}));
var AppKind;
(function (AppKind) {
    AppKind["app"] = "app";
    AppKind["functionapp"] = "functionapp";
    AppKind["workflowapp"] = "workflowapp";
})(AppKind = exports.AppKind || (exports.AppKind = {}));
function getWebsiteOSDisplayName(kind) {
    switch (kind) {
        case WebsiteOS.windows:
            return 'Windows';
        case WebsiteOS.linux:
            return 'Linux';
        default:
            throw new RangeError();
    }
}
exports.getWebsiteOSDisplayName = getWebsiteOSDisplayName;
//# sourceMappingURL=AppKind.js.map