import type { WebSiteManagementModels } from '@azure/arm-appservice';
import { AzureWizardPromptStep, IWizardOptions } from 'vscode-azureextensionui';
import { IAppServiceWizardContext } from './IAppServiceWizardContext';
export declare class AppServicePlanListStep extends AzureWizardPromptStep<IAppServiceWizardContext> {
    private _suppressCreate;
    constructor(suppressCreate?: boolean);
    static getPlans(context: IAppServiceWizardContext): Promise<WebSiteManagementModels.AppServicePlan[]>;
    static isNameAvailable(context: IAppServiceWizardContext, name: string, resourceGroupName: string): Promise<boolean>;
    prompt(context: IAppServiceWizardContext): Promise<void>;
    getSubWizard(context: IAppServiceWizardContext): Promise<IWizardOptions<IAppServiceWizardContext> | undefined>;
    shouldPrompt(context: IAppServiceWizardContext): boolean;
    private getQuickPicks;
}
