import { AzExtLocation, IAzureQuickPickItem, LocationListStep } from 'vscode-azureextensionui';
import { CustomLocation, IAppServiceWizardContext } from './IAppServiceWizardContext';
export declare class CustomLocationListStep<T extends IAppServiceWizardContext> extends LocationListStep<T> {
    prompt(context: T): Promise<void>;
    protected getCustomQuickPicks(context: T): Promise<IAzureQuickPickItem<AzExtLocation | CustomLocation>[]>;
}
