"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNewFileShareName = void 0;
const randomUtils_1 = require("../utils/randomUtils");
function getNewFileShareName(siteName) {
    const randomLetters = 6;
    const maxFileShareNameLength = 63;
    return siteName.toLowerCase().substr(0, maxFileShareNameLength - randomLetters) + randomUtils_1.randomUtils.getRandomHexString(randomLetters);
}
exports.getNewFileShareName = getNewFileShareName;
//# sourceMappingURL=getNewFileShareName.js.map