import { ParsedSite } from '../SiteClient';
import { IDeployContext } from './IDeployContext';
/**
 * Method of deployment that is only intended to be used for Linux Consumption Function apps because it doesn't support kudu pushDeployment
 * To deploy with Run from Package on a Windows plan, create the app setting "WEBSITE_RUN_FROM_PACKAGE" and set it to "1".
 * Then deploy via "zipdeploy" as usual.
 */
export declare function deployToStorageAccount(context: IDeployContext, fsPath: string, site: ParsedSite): Promise<void>;
