import { IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
declare type localGitOptions = {
    fsPath: string;
    /**
     * Set if you want to specify what branch to push to. Default is `HEAD:master`.
     */
    branch?: string;
    /**
     * Set to `true` if you want to commit changes before pushing.
     */
    commit?: boolean;
};
export declare function localGitDeploy(site: ParsedSite, options: localGitOptions, context: IActionContext): Promise<void>;
export {};
