/// <reference types="node" />
import { Readable } from 'stream';
import { IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
export declare function runWithZipStream(context: IActionContext, options: {
    fsPath: string;
    site: ParsedSite;
    pathFileMap?: Map<string, string>;
    callback: (zipStream: Readable) => Promise<void>;
}): Promise<void>;
