import { UIExtensionVariables } from 'vscode-azureextensionui';
interface IAppServiceExtensionVariables extends UIExtensionVariables {
    prefix: string;
}
/**
 * Container for common extension variables used throughout the AppService package. They must be initialized with registerAppServiceExtensionVariables
 */
export declare let ext: IAppServiceExtensionVariables;
/**
 * Call this to register common variables used throughout the AppService package.
 */
export declare function registerAppServiceExtensionVariables(extVars: IAppServiceExtensionVariables): void;
export {};
