import type { ServiceClient } from '@azure/ms-rest-js';
import { IActionContext, ISubscriptionContext } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
import { gitHubBranchData, gitHubOrgData, gitHubRepoData } from './connectToGitHub';
export interface IConnectToGitHubWizardContext extends IActionContext, ISubscriptionContext {
    orgData?: gitHubOrgData;
    repoData?: gitHubRepoData;
    branchData?: gitHubBranchData;
    site?: ParsedSite;
    gitHubClient?: ServiceClient;
}
