import type { WebSiteManagementModels } from '@azure/arm-appservice';
import { IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
export declare enum RemoteDebugLanguage {
    Node = 0,
    Python = 1
}
export declare function startRemoteDebug(context: IActionContext, site: ParsedSite, siteConfig: WebSiteManagementModels.SiteConfigResource, language: RemoteDebugLanguage): Promise<void>;
