import { AzExtParentTreeItem, AzExtTreeItem, IActionContext, TreeItemIconPath } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
export declare class FolderTreeItem extends AzExtParentTreeItem {
    static contextValue: string;
    readonly contextValue: string;
    readonly childTypeLabel: string;
    readonly label: string;
    readonly path: string;
    readonly isReadOnly: boolean;
    readonly site: ParsedSite;
    protected readonly _isRoot: boolean;
    constructor(parent: AzExtParentTreeItem, site: ParsedSite, label: string, path: string, isReadOnly: boolean);
    get iconPath(): TreeItemIconPath;
    hasMoreChildrenImpl(): boolean;
    get description(): string | undefined;
    loadMoreChildrenImpl(_clearCache: boolean, context: IActionContext): Promise<AzExtTreeItem[]>;
    compareChildrenImpl(ti1: AzExtTreeItem, ti2: AzExtTreeItem): number;
}
