import type { ApplicationInsightsManagementClient } from '@azure/arm-appinsights';
import type { WebSiteManagementClient } from '@azure/arm-appservice';
import type { ResourceGraphClient } from '@azure/arm-resourcegraph';
import type { ResourceManagementClient } from '@azure/arm-resources';
import { AzExtClientContext } from 'vscode-azureextensionui';
export declare function createWebSiteClient(context: AzExtClientContext): Promise<WebSiteManagementClient>;
export declare function createAppInsightsClient(context: AzExtClientContext): Promise<ApplicationInsightsManagementClient>;
export declare function createResourceClient(context: AzExtClientContext): Promise<ResourceManagementClient>;
export declare function createResourceGraphClient(context: AzExtClientContext): Promise<ResourceGraphClient>;
